Export Image
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/actions/export
Export a specified version of image. Refer to Create Image Version for details on importing the same.
Request
Path Parameters
-
goldImageId(required): string
ID of the image
Supported Media Types
- application/json
Root Schema : schema
Type:
objectImage export details
Show Source
-
destinationHostCredential(required): string
Destination host target credentialExample:
HOST_CRED:ADMIN -
destinationHostName(required): string
Destination host target nameExample:
myhost -
imageBundleLocation(required): string
Image bundle locationExample:
/scratch/images/exportedimages -
imageBundleName: string
Image bundle nameExample:
exportedImage_18c.zip -
versionId: string
ID of the image versionExample:
E5B98897FE871AC1E05380FE4564F682 -
versionName: string
Name of the image versionExample:
fm_version_1 -
workingDirectory: string
Default Value:
/u01/scratch/workDirStaging/Working directory locationExample:/u01/workdir
Examples
Back to Top
Response
202 Response
It is a long running/async API. It submits a deployment procedure.
Headers
-
Location:
URL link to track the status of the API for the deployment procedureExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
Root Schema : schema
Type:
Show Source
object-
links: object
links
links
-
message: string
messageExample:
It is a long running/async API. It submits a deployment procedure.
Nested Schema : links
Type:
objectlinks
Show Source
-
tracking: object
tracking
Represents a link to the REST API to track the status of the submitted deployment procedure
Nested Schema : tracking
Type:
objectRepresents a link to the REST API to track the status of the submitted deployment procedure
Show Source
-
href: string
URL for the linkExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty